{% extends 'base.html' %}

{% block content %}
<main>
    <div class="my-tasks-list">
        <h1>My Tasks</h1>
        <p><a href="{% url 'create_task' %}">Create Task</a></p>
        {% if tasks %}
        <table>
            <thead>
                <tr>
                    <th>Name</th>
                    <th>Project</th>
                    <th>Start date</th>
                    <th>Due date</th>
                    <th>Is completed</th>
                </tr>
            </thead>
            <tbody>
                {% for task in tasks %}
                <tr>
                    <td><a href="{% url 'show_task' task.id %}">{{task.name}}</a></td>
                    <td>{{task.project}}</td>
                    <td>{{task.start_date}}</td>
                    <td>{{task.due_date}}</td>
                    <td>{{task.is_completed|yesno}}</td>
                </tr>
                {% endfor %}
            </tbody>
        </table>
        {% else %}
        <p>You have no tasks</p>
        {% endif %}
    </div>
</main>
{% endblock content %}